hey!
so i guess about me, im an aspiring film director + music producer living in beautiful miami. weird how i got caught by both the music and film bug but yea...
anyways i decided to teach myself web dev, and i have html and css essentially down decently well. i know enough JS to hack together scripts from the web and stuff.
anyways, after much consideration, i decided i want to learn RoR.
it pretty much fits perfectly with the kind of sites i like, and would like to make.

right so...
im a member over at lynda and started watching their rails vids from 2007. he talks about the installation very in depth...for 3 years ago.
things have changed now.

facts:
im on a mac, version 10.6.4
if i do ruby --version it tells me i have 1.8.7 installed
and if i do the same with rails it tells me 2.3.5

am i all set? i plan on following the essential video series on lynda and then either going with the next beyond the basics course there or http://railstutorial.org/book
can i just dive into it or do i need to change/add anything? (gems? SQL? ect.)

does that sound like a good plan of action or is lynda already so outdated that i should just go with the book?

but really i want to know about the installation. like, how can i update, should i go the rvm route mentioned in the book or what?

i have searched all day trying to find out all the information but i couldnt find any definitive answer.

oh and the lynda training uses WEBbuilder (i think its called) and sql so i would like to stick with that so i can learn from the videos
thanks alot!